Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 928915 - Review Request: php-phpunit-PHPUnit-Story - Story extension for PHPUnit to facilitate Behaviour-Driven Development
Review Request: php-phpunit-PHPUnit-Story - Story extension for PHPUnit to fa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Horde_Kolab_Server
  Show dependency treegraph
 
Reported: 2013-03-28 13:51 EDT by Remi Collet
Modified: 2013-04-17 17:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 19:21:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-review (6.52 KB, text/plain)
2013-04-01 15:14 EDT, Shawn Iwinski
no flags Details
phpci (10.16 KB, text/x-log)
2013-04-01 15:14 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-03-28 13:51:23 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/f0e70fd6e225109c466fc9047318b2350592a6dc/php/phpunit/php-phpunit-PHPUnit-Story/php-phpunit-PHPUnit-Story.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpunit-PHPUnit-Story-1.0.1-1.remi.src.rpm
Description: 
Story extension for PHPUnit to facilitate Behaviour-Driven Development

Fedora Account System Username: remi
Comment 1 Shawn Iwinski 2013-04-01 15:14:00 EDT
Created attachment 730394 [details]
fedora-review

Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 928915
Comment 2 Shawn Iwinski 2013-04-01 15:14:54 EDT
Created attachment 730395 [details]
phpci

phpci version 2.13.2
Comment 3 Shawn Iwinski 2013-04-01 15:16:27 EDT
===== SHOULD items =====
[!]: Final provides and requires are sane (see attachments).
     
     PHPUnit/Extensions/Story/Autoload.php uses an anonymous function which
     requires PHP >= 5.3.0.  Should either make note of this in the description
     or require PHP >= 5.3.0 as a dependency (and notify upstream about a
     package.xml update).



No blockers.

===== APPROVED =====
Comment 4 Remi Collet 2013-04-02 04:51:19 EDT
Thanks for the review.
I will raise the php version after import

New Package SCM Request
=======================
Package Name: php-phpunit-PHPUnit-Story
Short Description: Story extension for PHPUnit to facilitate Behaviour-Driven Development
Owners: remi
Branches: f18 f19 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-04-02 08:21:34 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-04-02 12:05:58 EDT
php-phpunit-PHPUnit-Story-1.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-phpunit-PHPUnit-Story-1.0.1-1.el6
Comment 7 Fedora Update System 2013-04-02 12:06:21 EDT
php-phpunit-PHPUnit-Story-1.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-phpunit-PHPUnit-Story-1.0.1-1.fc18
Comment 8 Fedora Update System 2013-04-02 22:00:43 EDT
php-phpunit-PHPUnit-Story-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2013-04-11 19:21:12 EDT
php-phpunit-PHPUnit-Story-1.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-04-17 17:48:26 EDT
php-phpunit-PHPUnit-Story-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.